For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Getting Started
    • Introduction
    • How Verifa Works
    • Quickstart
    • Choosing an Integration Method
  • Use Cases
    • KYC Onboarding
    • Age Verification
    • AML Compliance
    • Fraud Prevention
    • Marketplace Trust & Safety
  • Core Concepts
    • Overview
    • Sessions
    • Verifications & Checks
    • Workflows
    • Identities
    • Cases
    • Screening & Reports
    • Lists
  • Integration Guides
    • Overview
    • JavaScript SDK
    • Web Capture Flow
    • API-Only Integration
    • Mobile SDK
    • Webhooks Guide
    • MCP Server
    • Migrating from Persona
  • API Details
    • Overview
    • Authentication
    • Pagination
    • Rate Limiting
    • Versioning
    • Errors
    • Webhooks
    • Idempotency
    • Key Inflection
    • Data Access
    • Data Retention
  • Tutorials
    • Creating Your First Verification Session
    • Creating a Workflow
    • Receiving Webhooks & Validating Signatures
    • Handling Webhook Events
    • Custom Document Types & AI Extraction
  • Best Practices
    • Testing
    • Preventing Duplicates
    • Fraud Signals
    • Changelog
  • API Reference
On this page
  • Parameters
  • Example
  • Filtering
  • Total counts
  • Related
API Details

Pagination

Was this page helpful?
Previous

Rate Limiting

Next
Built with

All list endpoints use offset-based pagination with limit and offset query parameters.

Parameters

ParameterTypeDefaultDescription
limitintegervariesMaximum number of items to return (max 100).
offsetinteger0Number of items to skip before returning results.

Default limit values vary by endpoint:

EndpointDefault limit
GET /api/v1/sessions50
GET /api/v1/identities25
GET /api/v1/identities/\{id\}/sessions50
GET /api/v1/checks25

Example

Fetch the first page of sessions:

$curl "https://api.withverifa.com/api/v1/sessions?limit=10&offset=0" \
> -H "X-API-Key: vk_live_your_key_here"

Fetch the second page:

$curl "https://api.withverifa.com/api/v1/sessions?limit=10&offset=10" \
> -H "X-API-Key: vk_live_your_key_here"

Filtering

Most list endpoints support additional filters alongside pagination:

EndpointFilters
GET /api/v1/sessionsstatus — filter by session status
GET /api/v1/identitiesstatus — filter by identity status
q — search by external reference

Total counts

Some endpoints return a total field indicating the total number of matching records. Use this to calculate the number of pages:

1{
2 "data": [...],
3 "pagination": {
4 "total": 142,
5 "limit": 25,
6 "offset": 0
7 }
8}
total_pages = ceil(total / limit)

Related

  • Sessions — Session list endpoint with pagination
  • Identities — Identity list with cursor-based pagination
  • Rate Limiting — Request quotas per plan